{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  annuaire = config.r6d.machines;
  currentMachine = annuaire."${config.networking.hostName}";
  flags = currentMachine.configurationFlags;
in

mkIf true {

  nixpkgs.config.packageOverrides = pkgs: {
    clawsMail = pkgs.clawsMail.override {
      enablePgp = true;
      enablePluginArchive = true;
      enablePluginFancy = false; # nécessite wekitgtk qui est troué
      enablePluginPdf = true;
      enablePluginRavatar = true;
      enablePluginSmime = true;
      enablePluginVcalendar = true;
      enableSpellcheck = true;
    };

    ffmpeg-full = pkgs.ffmpeg-full.override {
      nonfreeLicensing = true;
      nvenc  = true;
    };

    gnuradio-with-packages = pkgs.gnuradio-with-packages.override {
      extraPackages = with pkgs; [
        gnuradio-ais
        gnuradio-gsm
        gnuradio-nacl
        gnuradio-osmosdr
        gnuradio-rds
      ];
    };

    mumble = pkgs.mumble.override { pulseSupport = true; };
  };

  #nixpkgs.config.permittedInsecurePackages = [
  #  "webkitgtk-2.4.11"       # pour que le plugin fancy de claws-mail fonctionne
  #];
}
